KNOWLEDGE BASE

Error "Valid license required for source server. Verify that the Advanced Management license is enabled and try again." When Using the Content Migration Tool


Published: 06 Jul 2020
Last Modified Date: 18 Jul 2022

Issue

When migrating using the Content Migration Tool, the following errors occur: 

[ERR]: Valid license required for source server.  Verify that the Advanced Management license is enabled and try again.
[ERR]: Valid license required for destination server.  Verify that the Advanced Management is enabled and try again.

Environment

  • Tableau Cloud
  • Tableau Server
  • Content Migration Tool

Resolution

For Tableau Server to Server migrations:

  • Identify your Advanced Management key in the Customer Portal and ensure it's been activated within your Server Deployment.
For Tableau Cloud to Server/Cloud migrations:
  • After you purchase and license Advanced Management for Tableau Cloud, Content Migration Tool is automatically enabled for your site.
  • Be sure to use CMT version 2022.2.1 or newer.

Cause

Advanced Management was not activated correctly before attempting the migration or a higher version of the CMT tool needs to be leveraged.
Did this article resolve the issue?